| D++ (DPP) C++ Discord API Bot Library

Search
Loading...
Searching...
No Matches
dpp::command_info_t Struct Reference

Represents the details of a command added to the command handler class. More...

`#include <commandhandler.h>`

Collaboration diagram for dpp::command_info_t:
[legend]

## Public Attributes

command_handler | func
| Function reference for the handler. This is std::function so it can represent a class member, a lambda or a raw C function pointer.
snowflake | guild_id
| Guild ID the command exists on, or 0 to be present on all guilds.
parameter_registration_t | parameters
| Parameters requested for the command, with their types.

## Detailed Description

Represents the details of a command added to the command handler class.

Deprecated
  commandhandler and message commands are deprecated and dpp::slashcommand is encouraged as a replacement.

## Member Data Documentation

## ◆ func

command_handler dpp::command_info_t::func

Function reference for the handler. This is std::function so it can represent a class member, a lambda or a raw C function pointer.

## ◆ guild_id

snowflake dpp::command_info_t::guild_id

Guild ID the command exists on, or 0 to be present on all guilds.

## ◆ parameters

parameter_registration_t dpp::command_info_t::parameters

Parameters requested for the command, with their types.

D++ Library version 9.0.13 D++ Library version 9.0.12 D++ Library version 9.0.11 D++ Library version 9.0.10 D++ Library version 9.0.9 D++ Library version 9.0.8 D++ Library version 9.0.7 D++ Library version 9.0.6 D++ Library version 9.0.5 D++ Library version 9.0.4 D++ Library version 9.0.3 D++ Library version 9.0.2 D++ Library version 9.0.1 D++ Library version 9.0.0 D++ Library version 1.0.2 D++ Library version 1.0.1 D++ Library version 1.0.0